Topic
  • 2 replies
  • Latest Post - ‏2015-10-01T11:14:00Z by kalbinsson
nasica88
nasica88
32 Posts

Pinned topic HammerDB on LoP ?

‏2015-06-10T00:55:14Z | hammerdb ppc64

Due to a client's request, I am trying to run HammerDB benchmark on LoP (RHEL7) using PostgreSQL.

 

After some trial & error, I installed the two following tcl & tk packages from http://www.rpmfind.net/linux/rpm2html/search.php?query=%2Fusr%2Fbin%2Fwish8.6 .  (The version of tcl & tk included in RHEL7 is 8.5 and it does not seem to support HammerDB.)

 

[root@S812L HammerDB-2.17]# rpm -qa | grep tcl
tcl-8.6.4-1.fc23.ppc64
[root@S812L HammerDB-2.17]# rpm -qa | grep tk | grep 8.6
tk-8.6.4-1.fc23.ppc64

 

Now I am stuck with the following "Failed to load Threads package".   I have to confess that I am a raw novice in tcl and do not know what to try next.   

 

[root@S812L HammerDB-2.17]# ./hammerdb.tcl

ERROR : Failed to load Threads package - this package is mandatory for HammerDB
While loading component file "hdb_pckg.tcl"...
invalid command name "thread::names"
    while executing
"thread::names"
    (file "./hdb-components/hdb_pckg.tcl" line 24)
    invoked from within
"source [ file join $UserDefaultDir hdb-components $f ]"

 

I almost gave up, but the very client who asked for this replied that he saw a HammerDB test result on PowerLinux (7R2) in the following URL.

 

http://slideplayer.com/slide/1578666/

 

I looked up for the authors's names in this slide, but it seems they are no longer in IBM.  I tried the older versions of HammerDB, like 2.14, 2.15, and 2.16, but met the same result.

 

Any comment/help would be much appreciated.

  • nasica88
    nasica88
    32 Posts

    Re: HammerDB on LoP ?

    ‏2015-06-15T12:26:51Z  

    I was able to run HammerDB on LoP, finally.   The key was simple - get the exact versions (8.6.0) of tcl and tk and compile them.

     

    I summarized it in a text file and coarse ppt file for those who are interested.

    Attachments

  • kalbinsson
    kalbinsson
    1 Post

    Re: HammerDB on LoP ?

    ‏2015-10-01T11:14:00Z  
    • nasica88
    • ‏2015-06-15T12:26:51Z

    I was able to run HammerDB on LoP, finally.   The key was simple - get the exact versions (8.6.0) of tcl and tk and compile them.

     

    I summarized it in a text file and coarse ppt file for those who are interested.

    Hi,

    I am about to do the same. Your instructions is very helpful. Have you tried to get 2.18 running?